JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const mcpServer = await client.mcpServer.create({
label: 'CRM',
url: 'https://mcp.example.com/mcp',
});
console.log(mcpServer.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
mcp_server = client.mcp_server.create(
label="CRM",
url="https://mcp.example.com/mcp",
)
print(mcp_server.data)curl --request POST \
--url https://api.roark.ai/v1/connections/mcp-server \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://mcp.example.com/mcp",
"label": "CRM",
"transport": "STREAMABLE_HTTP",
"auth": {
"type": "NONE"
},
"directoryKey": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://mcp.example.com/mcp',
'label' => 'CRM',
'transport' => 'STREAMABLE_HTTP',
'auth' => [
'type' => 'NONE'
],
'directoryKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server"
payload := strings.NewReader("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/connections/mcp-server")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CRM",
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"authType": "NONE",
"authHeaderName": "<string>",
"directoryKey": "<string>",
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>",
"boundTools": [
{
"toolDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"remoteToolName": "<string>",
"offered": true
}
],
"lastDiscoveredAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}MCP servers
Connect an MCP server
Connects to the server, reads its tools, then stores it for the project. A server that does not answer, or refuses the credential, returns 400 and nothing is stored. The credential is encrypted and never returned.
POST
/
v1
/
connections
/
mcp-server
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const mcpServer = await client.mcpServer.create({
label: 'CRM',
url: 'https://mcp.example.com/mcp',
});
console.log(mcpServer.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
mcp_server = client.mcp_server.create(
label="CRM",
url="https://mcp.example.com/mcp",
)
print(mcp_server.data)curl --request POST \
--url https://api.roark.ai/v1/connections/mcp-server \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://mcp.example.com/mcp",
"label": "CRM",
"transport": "STREAMABLE_HTTP",
"auth": {
"type": "NONE"
},
"directoryKey": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://mcp.example.com/mcp',
'label' => 'CRM',
'transport' => 'STREAMABLE_HTTP',
'auth' => [
'type' => 'NONE'
],
'directoryKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server"
payload := strings.NewReader("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/connections/mcp-server")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://mcp.example.com/mcp\",\n \"label\": \"CRM\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n },\n \"directoryKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CRM",
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"authType": "NONE",
"authHeaderName": "<string>",
"directoryKey": "<string>",
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>",
"boundTools": [
{
"toolDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"remoteToolName": "<string>",
"offered": true
}
],
"lastDiscoveredAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Body
application/json